RCS Inbound Message
RcsInboundMessageReceivedWebhook is sent to the account-level URL configured for the
RcsInboundMessageReceived type when an end user sends a message to one of your RCS agents.
Authorization
basic Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
RCS inbound message received event.
Response Body
curl -X POST "https://example.com/v1/Webhooks/RcsInboundMessageReceivedWebhook" \ -H "Content-Type: application/json" \ -d '{ "type": "RcsInboundMessageReceived", "sid": "WH08df051c8bb8f5e0efa57d9bf992f08f0164f6d6317fbd46", "payload": { "sid": "RIXXXXXXXX", "from": "+19876543210", "agentId": "MyAgent", "eventDate": "2023-03-22T16:44:55.123Z", "content": { "type": "Text", "text": "Hello from RCS" } } }'RCS Outbound Message status POST
`RcsOutboundMessageStatusChangedWebhook` is sent to the account-level URL configured for the `RcsOutboundMessageStatusChanged` type when an RCS message is delivered, failed, or triggers an SMS/MMS fallback.
RCS Message Seen POST
`RcsMessageSeenWebhook` is sent to the account-level URL configured for the `RcsMessageSeen` type when the recipient device confirms that an outbound RCS message has been read.